using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot(ElementName = "Transfer")]
    public class VisitorToExtRequest: INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("visitor")]
        public VisitorToExtVisitor Visitor { get; set; }

        [XmlElement("ext")]
        public VisitorToExtExt Ext { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }

        [XmlElement("AutoAnswer")]
        public string AutoAnswer { get; set; }
    }

    public class VisitorToExtVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VisitorToExtExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

}
